import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.update('name', { value: 'value' });
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.update(
name="name",
value="value",
)
print(secret_view.id)curl --request POST \
--url https://api.runloop.ai/v1/secrets/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"update_time_ms": 123
}Update a Secret.
Update the value of an existing Secret by name. The new value will be encrypted at rest.
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.update('name', { value: 'value' });
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.update(
name="name",
value="value",
)
print(secret_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The name of the Secret to update.
Body
Parameters required to update an existing Secret.
The new value for the Secret. This will replace the existing value and be encrypted at rest. Example: 'my-updated-secure-password'
Response
Secret updated successfully. Returns the Secret with its new value included.
A Secret represents a key-value pair that can be securely stored and used in Devboxes as environment variables.
The unique identifier of the Secret.
The globally unique name of the Secret. Used as the environment variable name in Devboxes.
Creation time of the Secret (Unix timestamp in milliseconds).
Last update time of the Secret (Unix timestamp in milliseconds).
Was this page helpful?
